### Name: distance correlation
### Title: Distance Correlation and Covariance Statistics
### Aliases: dcor dcov DCOR
### Keywords: multivariate

### ** Examples

 ## independent multivariate data
 x <- matrix(rnorm(30), nrow=20, ncol=3)
 y <- matrix(rnorm(40), nrow=20, ncol=2)
 
 ## C implementation
 dcov(x, y, 1.5)
 dcor(x, y, 1.5)
 .dcov(x, y, 1.5)
 ## R implementation
 DCOR(x, y, 1.5)

 ## Not run: 
##D  ## compare speed of R version and C version 
##D  set.seed(111)
##D  ## R version
##D  system.time(replicate(1000, DCOR(x, y)))
##D  set.seed(111)
##D  ## C version
##D  system.time(replicate(1000, .dcov(x, y)))
##D  
## End(Not run)



