### Name: indep.etest
### Title: Energy Statistic Test of Independence
### Aliases: indep.e indep.etest
### Keywords: htest multivariate

### ** Examples

 ## Not run: 
##D  ## independent univariate data
##D  x <- sin(runif(30, 0, 2*pi) * 2)
##D  y <- sin(runif(30, 0, 2*pi) * 4)
##D  indep.etest(x, y, R = 99)
##D 
##D  ## dependent univariate data
##D  u <- runif(30, 0, 2*pi)
##D  x <- sin(2 * u)
##D  y <- sin(3 * u)
##D  indep.etest(x, y, R = 99)
##D  
##D  u <- runif(50, 0, 2*pi)
##D  x <- sin(2 * u)
##D  y <- sin(4 * u)
##D  indep.etest(x, y, R = 99)
##D  
##D  ## independent multivariate data
##D  x <- matrix(rnorm(60), nrow=20, ncol=3)
##D  y <- matrix(rnorm(40), nrow=20, ncol=2)
##D  indep.e(x, y)
##D  indep.etest(x, y, R = 99)
##D  
##D  ## independent bivariate data
##D  x <- matrix(rnorm(50), nrow=25, ncol=2)
##D  y <- matrix(rnorm(50), nrow=25, ncol=2)
##D  indep.e(x, y)
##D  indep.etest(x, y, R = 99)
##D  
##D  ## dependent bivariate data
##D  library(MASS)
##D  Sigma <- matrix(c(1, .5, .5, 1), 2, 2)
##D  x <- mvrnorm(30, c(0, 0), Sigma)
##D  indep.etest(x[,1], x[,2], R = 99)
##D  
##D  ## dependent multivariate data
##D  Sigma <- matrix(c(1, .1, 0, 0 , 1, 0, 0 ,.1, 1), 3, 3)
##D  x <- mvrnorm(30, c(0, 0, 0), diag(3))
##D  y <- mvrnorm(30, c(0, 0, 0), Sigma) * x
##D  indep.etest(x, y, R = 99)
##D  
## End(Not run)



