### Name: indep.test
### Title: Energy Statistic Tests of Independence
### Aliases: indep.test
### Keywords: htest multivariate nonparametric

### ** Examples

 ## independent multivariate data
 x <- matrix(rnorm(60), nrow=20, ncol=3)
 y <- matrix(rnorm(40), nrow=20, ncol=2)
 indep.test(x, y, method = "dcov", R = 99)
 indep.test(x, y, method = "mvI", R = 99)
 
 ## dependent multivariate data
 library(MASS)
 Sigma <- matrix(c(1, .1, 0, 0 , 1, 0, 0 ,.1, 1), 3, 3)
 x <- mvrnorm(30, c(0, 0, 0), diag(3))
 y <- mvrnorm(30, c(0, 0, 0), Sigma) * x
 indep.test(x, y, R = 99)    #dcov method
 indep.test(x, y, method = "mvI", R = 99)
 
 ## Not run: 
##D  ## compare the computing time
##D  x <- mvrnorm(50, c(0, 0, 0), diag(3))
##D  y <- mvrnorm(50, c(0, 0, 0), Sigma) * x
##D  set.seed(123)
##D  system.time(indep.test(x, y, method = "dcov", R = 1000))
##D  set.seed(123)
##D  system.time(indep.test(x, y, method = "mvI", R = 1000))
##D  
## End(Not run)

 detach("package:MASS")



